get
https://api.accelevents.com/rest/event//leaderboard/userChallengePoints
This API is used to get total points by userId for a specific challenge within the specified event.
It will return data like firstName, lastName, title, userChallengePointMap, userId etc.
To call this API, a user has to pass eventUrl as a query param with an authentication key to authenticate the user.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Response
Here is the description of response attributes, which returns to the form of JSON.
| Attribute | Description |
|---|---|
| firstName | Contains the first name of the user. Only 50 characters are allowed in the irstName. |
| lastName | Contains the last name of the user. Only 50 characters are allowed in the last name. |
| title | Contains the title of the challenge |
| userChallengePointMap | This will return the list of challenge points by user. |
| userId | This is the unique id for each user. |
Error Code
Here are the possible error messages, which return if any condition gets failed or required data is missing for processing.
| Error Code | Error Description |
|---|---|
| 400 | The request could not be understood by the server due to malformed syntax. |
| 401 | You are not authorized to view the resource. |
| 403 | Accessing the resource you were trying to reach is forbidden. |
| 404 | The resource you were trying to reach is not found. |
| 40600013 | Cannot create url |
| 4040200 | No event could be found |